> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Availability Search by Activity Id



## OpenAPI

````yaml /openapi/accomsoa-api.openapi.json post /activityapi/v1/availSearchByActivityID
openapi: 3.0.0
info:
  description: AccomSOA API for accommodation, activity, and EBS-related booking workflows.
  version: 1.0.0
  title: AccomSOA API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //accomsoatest.websitetravel.com
security: []
tags:
  - name: accommodation-controller
    description: Accommodation Controller
  - name: activity-controller
    description: Activity Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: ebs-controller
    description: EBS Controller
  - name: index-controller
    description: Index Controller
paths:
  /activityapi/v1/availSearchByActivityID:
    post:
      tags:
        - activity-controller
      summary: Availability Search by Activity Id
      operationId: availSearchByActivityIdUsingPOST
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestData_AvailSearchByActivityIdRQ_'
        description: availSearchByActivityIdInput
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseData_Set_ActivityResult_'
        '201':
          description: Created
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    RequestData_AvailSearchByActivityIdRQ_:
      type: object
      properties:
        agentID:
          type: string
        data:
          $ref: '#/components/schemas/AvailSearchByActivityIdRQ'
        site:
          type: string
      title: RequestData«AvailSearchByActivityIdRQ»
    ResponseData_Set_ActivityResult_:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ActivityResult'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
        status:
          type: integer
          format: int32
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
      title: ResponseData«Set«ActivityResult»»
    AvailSearchByActivityIdRQ:
      type: object
      properties:
        activityDate:
          type: string
          format: date
        activityDateFrom:
          type: string
          example: yyyy-MM-dd
        activityDateTo:
          type: string
          example: yyyy-MM-dd
        activityIds:
          type: array
          items:
            type: string
        channel:
          type: string
        client:
          type: string
        countryCodeOfOrigin:
          type: string
        nameFilter:
          type: string
        travellers:
          $ref: '#/components/schemas/TravellerMix'
      title: AvailSearchByActivityIdRQ
    ActivityResult:
      type: object
      properties:
        activityRC:
          $ref: '#/components/schemas/ActivityRC'
        departures:
          type: array
          items:
            $ref: '#/components/schemas/ActivityDeparture'
      title: ActivityResult
    ResponseExtraInformation:
      type: object
      properties:
        code:
          type: string
        text:
          type: string
      title: ResponseExtraInformation
    TravellerMix:
      type: object
      required:
        - adultCount
        - childAges
      properties:
        adultCount:
          type: integer
          format: int32
          description: The number of adults over (and including) the age of 18
        childAges:
          type: array
          description: >-
            The ages of the children (the number is given by the number of ages
            provided
          items:
            type: integer
            format: int32
      title: TravellerMix
    ActivityRC:
      type: object
      required:
        - countryCode
        - lastUpdate
      properties:
        activityName:
          type: string
          description: The title for this activity
        additionalInformation:
          type: string
          description: Additional information
        cancellationPolicyOverview:
          type: string
          description: General cancellqtion policy information
        categories:
          type: array
          description: The categories for this activity.  Channel specific.
          items:
            type: string
        channel:
          type: string
          example: VIATOR
          description: The channel from which this activity record originated
        channelCode:
          type: string
          example: 123456
          description: >-
            The unique code of this activity within the channel from which it
            originated
        code:
          type: string
          example: VI1234ABC
          description: The unique code of this property within the service
        countryCode:
          type: string
          description: The countryId
        departurePoint:
          type: string
          description: The departure point for this service
        duration:
          type: string
          description: The duration in ISO form
        durationText:
          type: string
          description: The description of the duration
        exclusions:
          type: string
          description: Activity exclusions
        fromPerPerson:
          $ref: '#/components/schemas/CurrencyValue'
        geoCoordinates:
          $ref: '#/components/schemas/LatitudeLongitude'
        hotelPickupAvailable:
          type: boolean
          description: Are hotel pickups available?
        hotelPickupList:
          type: array
          description: Hotels available for pickup
          items:
            type: string
        images:
          type: array
          description: Images for this activity
          items:
            $ref: '#/components/schemas/Image'
        inclusions:
          type: string
          description: Activity inclusions
        itineraryHighlights:
          type: string
          description: Long text for itinerary highlights
        lastUpdate:
          type: string
          description: the date and time this record was last updated
        localOperatorInformation:
          type: string
          description: Extra information about the on the ground operator
        operator:
          type: string
          description: The operator of this service
        overview:
          type: string
          description: Long text overview
        productType:
          type: string
          description: The general type of this activity
        scheduleAndPricingInformation:
          type: string
          description: General information about schedules and pricing
        voucherInformation:
          type: string
          description: Voucher information
      title: ActivityRC
    ActivityDeparture:
      type: object
      properties:
        date:
          type: string
          example: yyyy-MM-dd
        departureId:
          type: string
        departureName:
          type: string
        departureTime:
          type: string
          example: HH:mm
        options:
          type: array
          items:
            $ref: '#/components/schemas/ActivityOption'
      title: ActivityDeparture
    CurrencyValue:
      type: object
      required:
        - amount
        - currencyId
      properties:
        amount:
          type: number
          example: 100
        currencyId:
          type: string
          example: AUD
      title: CurrencyValue
    LatitudeLongitude:
      type: object
      properties:
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
      title: LatitudeLongitude
    Image:
      type: object
      properties:
        imageDescription:
          type: string
        imageURL:
          type: string
      title: Image
    ActivityOption:
      type: object
      properties:
        bookingQuestions:
          type: array
          items:
            $ref: '#/components/schemas/BookingQuestion'
        bundlesOnly:
          type: boolean
        cancellationPolicy:
          type: array
          description: Machine readable cancellation policy
          items:
            $ref: '#/components/schemas/ActivityCancellationPolicyLine'
        cancellationPolicyText:
          type: string
          description: Human readable cancellation policy
        nettPrice:
          $ref: '#/components/schemas/CurrencyValue'
        optionId:
          type: string
        optionName:
          type: string
        pricePer:
          type: array
          items:
            $ref: '#/components/schemas/ActivityOptionPriceBand'
        rrpPrice:
          $ref: '#/components/schemas/CurrencyValue'
      title: ActivityOption
    BookingQuestion:
      type: object
      properties:
        list:
          type: array
          items:
            type: string
        perTraveller:
          type: boolean
        questionId:
          type: string
        questionText:
          type: string
        questionType:
          type: string
          enum:
            - LIST
            - STRING
            - DATE
            - TIME
            - NUMBER
      title: BookingQuestion
    ActivityCancellationPolicyLine:
      type: object
      properties:
        asOf:
          type: string
          description: >-
            The date this policy line takes effect (before=false) or finishes
            (before=true)
        before:
          type: boolean
          description: >-
            Whether this line applies to BEFORE 'asOf' or after (including)
            'asOf'
        penalty:
          $ref: '#/components/schemas/CurrencyValue'
        penaltyDescription:
          type: string
          description: Description of this penalty line
        penaltyPercent:
          type: number
          description: >-
            Value of the penalty as a percntage.  A full value = no refund.
            EITHER penalty OR penaltyPercent will be given.
      title: ActivityCancellationPolicyLine
    ActivityOptionPriceBand:
      type: object
      properties:
        ageBandName:
          type: string
        nettPrice:
          $ref: '#/components/schemas/CurrencyValue'
        rrpPrice:
          $ref: '#/components/schemas/CurrencyValue'
      title: ActivityOptionPriceBand

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.